/* General */
.mcc-header__title {
	font-weight: 700;
	text-align: center;
}

.wp-block-template-part {
	margin-top: 0 !important;
}

.mcc-featured__author-link {
	color: var(--wp--preset--color--custom-text-color-dark);
}

.mcc-featured__author-link:hover {
	color: var(--wp--preset--color--custom-text-color-dark);
}

.wp-block-image :where(figcaption) {
	font-size: .8rem !important;
	font-style: italic !important;
	text-align: right !important;
	margin-top: 0.3rem !important;
	color: var(--wp--preset--color--custom-img-captions) !important;
}

	/* Images with border */
.mcc-img_with-border {
	padding: 10px;
	background-color: var(--wp--preset--color--white);
}

/* -- Categories template -- */
.mcc-cateories__categories .wp-block-button__link {
	font-size: .9rem;
}

/* Buttons in the most read single article and featured section */
.mcc-most-read__single-article .wp-block-button__link,
.mcc-featured-section__button .wp-block-button__link,
.mcc-cateories__categories .wp-block-button__link,
.mcc-top-rated__single-category .wp-block-button__link,
.mcc-best-seller__container .wp-block-button__link,
.mcc-newsletter__container .wp-block-button__link {
	font-size: .9rem;
	text-transform: unset;
	font-weight: 400;
}

/* Featured section. */
.mcc-featured-section__button {
	flex-basis: 25%;
	z-index: 1;
}

.mcc-featured-section__container.mcc-featured-section__container {
	position: relative;
	overflow: hidden;
	gap: 0;
}

.mcc-featured-section__container .mcc-featured-section__img {
	padding: 30px;
	background-color: white;
	border-radius: 100%;
	position: absolute;
	right: -50px;
	z-index: 0;
	max-width: 25%;
}

.mcc-featured-section__container .mcc-featured-section__img img {
	aspect-ratio: 1;
	border-radius: 100%;
}

/* Top deals. Paragraphs in the top deals single item */
.mcc-top-deals__single-item.mcc-top-deals__single-item p {
	font-size: .9rem !important;
	color: var(--wp--preset--color--custom-text-color-dark) !important;
	display: -webkit-box;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	font-weight: 400 !important;
}

.mcc-slider-dots {
	text-align: center;
	margin-top: 1rem;
}

.mcc-slider-dots .dot {
	height: 15px;
	width: 15px;
	margin: 0 2px;
	background-color: #D9D9D9;
	border-radius: 50%;
	display: inline-block;
	cursor: pointer;
}

.mcc-slider-dots .dot.active {
	background-color: #717171;
}

/* Top rated. Categories. Figures in categories and top-rated single category */
.mcc-cateories__categories figure,
.mcc-top-rated__single-category figure {
	padding: 5px;
	background-color: var(--wp--preset--color--white);
	margin-bottom: 0;
}

.mcc-top-rated__single-category p:first-child {
	margin-bottom: 5px;
}

.mcc-top-rated__single-category p {
	margin-top: 0;
}

/* Newsletter section */
.mcc-newsletter__container.mcc-newsletter__container .wp-block-columns {
	gap: 0;
	background-color: var(--wp--preset--color--white);
}

.mcc-newsletter__container.mcc-newsletter__container .mcc-img_with-border {
	padding: 0;
}

.mcc-newsletter__container.mcc-newsletter__container p {
	font-size: .9rem;
}


.mcc-slider-row {
	overflow-y: hidden; /* Hide vertical scrollbar */
	overflow-x: scroll; /* Enable horizontal scrolling */
	padding-bottom: 1rem;
	scrollbar-width: none; /* Firefox */
	-ms-overflow-style: none; /* IE and Edge */
}

/* Hide scrollbar for Chrome, Safari and Opera */
.mcc-slider-row::-webkit-scrollbar {
	display: none;
}

.mcc-top-deals__single-item {
	flex-basis: 33%;
	min-width: calc(33% - 10px);
	padding: 0 !important;
	background-color: transparent !important;
}

.mcc-featured__authors-container {
	gap: 10px;
}

/* Most latest section */
.mcc-most-latest__single-item p {
	color: var(--wp--preset--color--custom-text-color-dark);
	display: -webkit-box;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

.mcc-top-rated__single-category .wp-block-button__link {
	text-transform: uppercase;
}

/* -- Single Post Template -- */
/* Featured images */
.mcc-single-featured-images__container {
	margin-top: 1rem;
}
.mcc-single__extra-images .wp-block-image {
	flex-basis: 100%;
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
}
.mcc-single__extra-images .wp-block-image img {
	object-fit: cover;
	object-position: center;
}
.mcc-single__extra-images .wp-block-image.is-active {
	padding: 5px;
	background: white;
	box-shadow: 0px 4px 4px 0 rgba(0, 0, 0, .15);
}
/* Toc styles */
.mcc-toc {
	position: sticky;
	top: 110px;
	background-color: var(--wp--preset--color--white);
	display: none;
}

.mcc-toc.active {
	display: block;
}

.mcc-toc .mcc-title-toc {
	font-size: 1.3rem;
	text-transform: capitalize;
	padding: .5rem 1.3rem;
	background: var(--wp--preset--color--custom-text-color-dark);
	color: var(--wp--preset--color--white);
	cursor: pointer;
	position: relative;
}

.mcc-toc ul {
	list-style: none;
	padding: 0;
	margin: 0;
}

.mcc-toc li {
	padding-left: 1.3rem;
	padding-right: 1.3rem;
	padding-top: .5rem;
	padding-bottom: .5rem;
	font-size: .9rem;
}

.mcc-toc li.active {
	background-color: #AEAEAE;
	color: var(--wp--preset--color--white);
}

.mcc-toc li.active a {
	color: var(--wp--preset--color--white);
}

.mcc-toc.collapsed ul {
	display: none;
}

.mcc-title-toc::after {
	content: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 384 512" width="12px" fill="%23ffffff"><path d="M73 39c-14.8-9.1-33.4-9.4-48.5-.9S0 62.6 0 80V432c0 17.4 9.4 33.4 24.5 41.9s33.7 8.1 48.5-.9L361 297c14.3-8.7 23-24.2 23-41s-8.7-32.2-23-41L73 39z"/></svg>');
	margin-top: -.8rem;
	font-size: 1rem;
	transition: all ease-in-out .3s;
	display: inline-block;
	margin-left: .5rem;
	position: absolute;
	right: 1.3rem;
	top: 50%;
	transform: rotate(90deg);
}

.mcc-toc.collapsed .mcc-title-toc::after {
	transform: rotate(0);
}

.single-post .wp-block-post-content p,
.single-post .wp-block-post-content li {
	font-size: 1rem !important;
}

.single-post .wp-block-post-content p:first-child {
	font-size: 1.1rem;
}

.mcc-latest__container > .wp-block-group:nth-child(2),
.mcc-most-clicked__container > .wp-block-group:nth-child(2),
.mcc-latest__container > .wp-block-group:nth-child(3),
.mcc-slider-row {
	align-items: stretch;
}

.mcc-latest__container > .wp-block-group:nth-child(2) .mcc-most-latest__single-item,
.mcc-most-clicked__container > .wp-block-group:nth-child(2) .mcc-most-latest__single-item,
.mcc-latest__container > .wp-block-group:nth-child(3) .mcc-most-latest__single-item {
	min-height: 100%;
}

.mcc-featured-product-placement .mcc-product-image img {
	max-width: 100%;
}

.mcc-single__bottom-author-author {
	max-width: 50%;
}

.mcc-bottom-popup {
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 100;
	padding: 0 !important;
	max-width: 100% !important;
}

.mcc-bottom-popup .mcc-featured-section__container.mcc-featured-section__container {
	padding-left: 20% !important;
	background-color: #7B399A !important;
	padding-top: 1.5rem !important;
	padding-bottom: 1.5rem !important;
}

.mcc-bottom-popup .mcc-featured-section__container .mcc-featured-section__img {
	left: -15%;
	right: unset;
	width: 25%;
	display: block;
}

.mcc-bottom-popup .mcc-featured-section__container .mcc-featured-section__img img {
	object-fit: cover;
	width: 100%;
}


.mcc-bottom-popup__close{
	position: absolute;
	right: 15%;
	top: 5px;
	width: 30px;
	height: 30px;
	background: white;
	display: flex;
	justify-content: center;
	align-content: center;
	border-radius: 100%;
	z-index: 99;
	cursor: pointer;
}

.mcc-bottom-popup .mcc-featured-section__button .wp-block-button__link {
	padding-left: 1rem !important;
	padding-right: 1rem !important;
}

.mcc-bottom-popup .mcc-featured-section__button {
	flex-basis: 32%;
}

.ctabutton {
	margin: auto 1rem;
	text-align: center;
	padding: 15px;
}

.ctabutton a {
	background: #0B67B2 !important;
		color: white !important;
	border-radius: 50px !important;
	padding: 15px 40px;
	text-decoration: none;
	background-size: 200%;
	font-size: 18px;
	font-weight: 600;
	transition: .5s ease-out;
}

.ctabutton a:hover {
	background: #0B67B2 !important;
		color: white !important;
	border-radius: 50px !important;
}

.mcc-featured-product-placement.mcc-featured-product-placement {
	align-items: flex-start;
}

.wp-block-mcc-buy-button-buy-button .mcclatchy-buy-button,
.wp-block-buttons .wp-block-button .wp-block-button__link.has-luminous-vivid-amber-background-color,
.ctabutton.ctabutton a {
	border: none;
    border-radius: 50px !important;
    color: #fff !important;
    cursor: pointer;
    font-size: 16px !important;
    font-weight: 600 !important;
    padding: .7rem 2.5rem;
    text-align: center;
    text-decoration: none;
	background-color: #0b67b2 !important;
	text-transform: none;
	font-weight: 600 !important;
	min-width: 200px;
}

.wp-block-buttons .wp-block-button .wp-block-button__link.has-luminous-vivid-amber-background-color {
	margin-bottom: 1rem;
}


@media (min-width: 768px) {
	.mcc-items {
		max-width: 35%;
	}
}

@media ( max-width: 768px ) {

	.mcc-bottom-popup {
		padding: 0 !important;
	}

	.mcc-bottom-popup__close {
		right: 5%;
			top: 15px;
	}

	.mcc-bottom-popup .mcc-featured-section__container.mcc-featured-section__container {
		padding-left: unset !important;
		justify-content: flex-end;
	}

	.mcc-bottom-popup .mcc-featured-section__container .mcc-featured-section__img {
		left: -40%;
		right: unset;
		display: block;
		width: auto;
		top: 0;
		max-height: calc( 100% - 30px );
	}

	.mcc-bottom-popup .mcc-featured-section__container .mcc-featured-section__img img {
		min-height: 100%;
		max-height: 100%;
	}

	.mcc-bottom-popup .mcc-featured-section__button .wp-block-button__link {
		padding-left: .5rem !important;
		padding-right: .5rem !important;
	}

	.mcc-header__title {
		text-align: left;
	}

	section.wp-block-group {
		padding-top: .8rem !important;
		padding-bottom: .8rem !important;
		margin-top: .5rem;
	}
	/* Most related articles */
	.mcc-most-read__articles.mcc-most-read__articles {
		gap: .5rem;
	}

	.mcc-most-read__articles.mcc-most-read__articles .mcc-most-read__single-article {
		padding: 0;
	}

	.mcc-most-read__articles.mcc-most-read__articles .wp-block-column {
		flex-basis: calc(50% - .25rem) !important;
	}

	.mcc-most-read__single-article .wp-block-button__link {
		padding-left: 1rem;
		padding-right: 1rem;
		font-size: .85rem;
	}

	/* Featured section */
	.mcc-featured-section__container.mcc-featured-section__container {
		flex-wrap: wrap;
		margin-left: -.67rem;
		margin-right: -.67rem;
		padding-top: 1.5rem !important;
		padding-bottom: 2rem !important;
		max-width: 100vw;
	}

	.mcc-featured-section__container .wp-container-content-2,
	.mcc-featured-section__container .wp-container-content-3 {
		flex-basis: 70%;
		padding: 0;
	}

	.mcc-featured-section__container .mcc-featured-section__title {
		font-size: 1.1rem !important;
	}

	.mcc-featured-section__container .mcc-featured-section__text {
		font-size: .8rem;
			margin-bottom: 1rem;
	}

	.mcc-featured-section__container .mcc-featured-section__img {
		max-width: 68%;
		bottom: 0;
		right: -45%;
		padding: 15px;
	}

	.mcc-featured-section__container .wp-container-content-4 {
		flex-basis: 44%;
	}

	.mcc-cateories__categories.mcc-cateories__categories {
		flex-wrap: wrap;
	}

	/* Categories and top rated sections */
	.mcc-categories__single-category.mcc-categories__single-category,
	.mcc-top-rated__single-category.mcc-top-rated__single-category {
		gap: 0;
		flex-basis: 100%;
	}

	.mcc-categories__single-category .wp-block-image,
	.mcc-top-rated__single-category .wp-block-image {
		flex-basis: 40%;
	}

	.mcc-categories__single-category .wp-block-group,
	.mcc-top-rated__single-category .wp-block-group {
		flex-basis: 60%;
		padding-right: 0;
	}

	.mcc-categories__single-category .wp-block-button__link,
	.mcc-top-rated__single-category .wp-block-button__link {
		font-size: .85rem;
		padding-left: .8rem;
		padding-right: .8rem;
	}

	/* Most clicked and latest sections */
	.mcc-most-clicked__container.mcc-most-clicked__container .wp-block-group,
	.mcc-latest__container.mcc-latest__container .wp-block-group {
		flex-wrap: wrap;
		gap: 0.5rem;
	}

	.mcc-most-clicked__container.mcc-most-clicked__container .mcc-most-latest__single-item,
	.mcc-latest__container.mcc-latest__container .mcc-most-latest__single-item {
		flex-basis: calc( 50% - .25rem );
		padding: 0 !important;
		background-color: unset !important;
	}

	.mcc-most-clicked__container .wp-block-image,
	.mcc-latest__container.mcc-latest__container .wp-block-image {
		padding: 5px;
		background-color: var(--wp--preset--color--white);
	}

	.mcc-most-clicked__container p,
	.mcc-latest__container.mcc-latest__container p {
		font-size: .8rem;
	}

	/* Newsletter section */
	.mcc-newsletter__container.mcc-newsletter__container .wp-block-columns {
		flex-wrap: wrap-reverse !important;
	}

	.mcc-top-deals__single-item {
		flex-basis: 50%;
		min-width: calc(50% - 10px);
		padding: 0 !important;
		background-color: transparent !important;
	}

	.mcc-top-deals__single-item .wp-block-image {
		padding: 5px;
		background-color: var(--wp--preset--color--white);
	}

	.mcc-top-deals__single-item p {
		font-size: .9rem !important;
	}

	/*-- Single Template Styles --*/
	.single-post main {
		padding-right: var(--wp--preset--spacing--30) !important;
		padding-left: var(--wp--preset--spacing--30) !important;
	}
	.mcc-toc {
		position: static;
		top: unset;
		display: none;
		margin-bottom: 1rem;
	}
	.mcc-single__extra-images {
		gap: .5rem !important;
	}
	.single-post h1 {
		font-size: 1.5rem !important;
	}
	.mcc-single__top-author p {
		font-size: .9rem !important;
	}
	.mcc-single__bottom-author {
		flex-wrap: wrap !important;
	}
	.mcc-most-latest__single-item {
		flex-basis: 47% !important;
		max-width: 47% !important;
	}
	.mcc-most-latest__single-item > a > .wp-block-group {
		flex-wrap: wrap !important;
	}
	.mcc-most-latest__single-item .wp-block-group {
		padding-left: 0 !important;
		padding-right: 0 !important;
	}

	.mcc-single__related-articles-container {
		padding-left: 0 !important;
		padding-right: 0 !important;
	}

	.mcc-single__related-articles {
		align-items: stretch !important;
	}

	.mcc-single__bottom-author-author {
		max-width: 100%;
	}
}

@media ( max-width: 375px ) {
	.mcc-bottom-popup .mcc-featured-section__container .mcc-featured-section__img {
		left: -50%;
	}
}

.mcc-most-latest__single-item a p {
	color: var(--wp--preset--color--custom-text-color-dark) !important;
}

/* Fix images styles */
.wp-block-image a,
.wp-block-image a img {
	min-width: 100%;
}
